#include <iostream>
#include <vector>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    scanf("%d",&n);

    vector<int> a(n);
    vector<int> b(n);

    for (int i=0; i<n; i++) scanf("%d",&a[i]);
    for (int i=0; i<n; i++) scanf("%d",&b[i]);

    int munze=0;
    for (int i=0; i<n; i++)
    {
        int vrednostA = 0,vrednostB = b[i];
        bool z=true;
        if(vrednostB!=0)
        {
            for (int j=i; z&&j<n&&b[j]!=0; j++)
            {
                vrednostA ^= a[j];
                vrednostB &= b[j];
                munze=max(munze, vrednostA*vrednostB);
            }
        }
    }

    printf("%d\n",munze);

    return 0;
}